package com.diagbot.enums.data;

import lombok.Setter;

public enum BehospitalWayXmlEnum implements AKeyedNamed {
    EMERGENCY_TREATMENT("1", "急诊"),
    OUTPATIENT("2", "门诊"),
    OTHER_HOSPITAL("3", "其他医疗机构转入"),
    OTHER("9", "其他");

    @Setter
    private String key;

    @Setter
    private String name;

    BehospitalWayXmlEnum(String key, String name) {
        this.key = key;
        this.name = name;
    }

    public static BehospitalWayXmlEnum getEnum(String key) {
        for (BehospitalWayXmlEnum item : BehospitalWayXmlEnum.values()) {
            if (key.equals(item.getKey())) {
                return item;
            }
        }
        return null;
    }

    public static String getName(String key) {
        BehospitalWayXmlEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public String getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
