package com.diagbot.enums.data;

import lombok.Setter;

public enum OccupationEnum implements AKeyedNamed{
    UNKNOWN("20","未知"),
    WORKER("6","工人"),
    CIVIL_SERVANT("5-23","公务员"),
    FARMER("7","农民"),
    RETIREE("11","退休人员"),
    SOLDIER("4","军人"),
    LAWYER("1-03","律师"),
    UNEMPLOYED("19","无业"),
    KJRY("0-51","科技人员"),
    OTHER("15","其他"),
    STUDENT("1","学生"),
    LIBERAL_PROFESSIONS("13","自由职业"),
    DRIVER("9-54","司机"),
    CHILDREN("18","儿童"),
    COOK("5-31","厨师"),
    ACCOUNTANTS("0-93","财会人员"),
    ENGINEER("10","工程师"),
    GTH("14","个体户"),
    CLERK("17","文员"),
    ATHLETES("1-30","运动员"),
    STAFF_MEMBER("5","职员"),
    BABY("16","婴幼儿"),
    CADRE("2-14","干部"),
    NURSE("0-73","护士"),
    TEACHER("1-14","教师"),
    DOCTOR("0-71", "医生");

    @Setter
    private String key;

    @Setter
    private String name;

    OccupationEnum(String key, String name) {
        this.key = key;
        this.name = name;
    }

    public static OccupationEnum getEnum(String key) {
        for (OccupationEnum item : OccupationEnum.values()) {
            if (key.equals(item.getKey())) {
                return item;
            }
        }
        return null;
    }

    public static String getName(String key) {
        OccupationEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public String getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
