package com.diagbot.enums.data;

import lombok.Setter;

public enum RelationshipEnum implements AKeyedNamed{
    BR_OR_HZ("01","本人或户主"),
    MORTHER("52","母亲"),
    SPOUSE("10","配偶"),
    SON("20","子"),
    GIRLFRIENDS_AND_GIRLFRIENDS("99","男女朋友"),
    DAUGHTER("30","女"),
    GRAND_SON("101","孙子、孙女、或外孙子、外孙女"),
    PARENT("100","父母"),
    GRANDPARENT("61","祖父母或外祖父母"),
    BROTHERS_AND_SISTERS("70","兄、弟、姐、妹"),
    OTHER("97", "其他");

    @Setter
    private String key;

    @Setter
    private String name;

    RelationshipEnum(String key, String name) {
        this.key = key;
        this.name = name;
    }

    public static RelationshipEnum getEnum(String key) {
        for (RelationshipEnum item : RelationshipEnum.values()) {
            if (key.equals(item.getKey())) {
                return item;
            }
        }
        return null;
    }

    public static String getName(String key) {
        RelationshipEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public String getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
