package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;


import java.util.Date;

/**
 * @Description: 获取缺陷反馈列表入参--接口入参
 * @author： zhanghang
 * @time: 2022/4/21 10:07
 */
@ApiModel(value = "获取缺陷反馈列表入参--接口入参")
@Getter
@Setter
public class GetMedDefectFeedbackPageVO extends Page {

    @ApiModelProperty(value = "医院ID", hidden = true)
    private Long hospitalId;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "反馈时间起始时间", required = true)
    private Date startDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "反馈时间结束时间", required = true)
    private Date endDate;

    @ApiModelProperty(value = "所属科室ID")
    private String deptId;

    @ApiModelProperty(value = "所属科室")
    private String deptName;

    @ApiModelProperty(value = "反馈人姓名")
    private String senderName;

    @ApiModelProperty(value = "模块ID")
    private String modeId;

    @ApiModelProperty(value = "模块名称")
    private String modeName;

    @ApiModelProperty(value = "接收人编号")
    private String receiverCode;

    @ApiModelProperty(value = "接收人姓名")
    private String receiverName;

    @ApiModelProperty(value = "抄送人编号")
    private String ccCodes;

    @ApiModelProperty(value = "抄送人姓名")
    private String ccNames;

    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "操作类型 1:修改|2:删除|3:新增已有|4:新增缺失|5:恢复")
    private String operationType;

    @ApiModelProperty(value = "状态 0:待确认|1:已确认")
    private String status;

    @ApiModelProperty(value = "是否归档 0: 未归档|1:已归档")
    private String isPlacefile ;
}
